import { GraphQLSchema } from "graphql";
import type { ContentType } from "../util";
interface BaseOptions {
}
export declare type SchemaBuilderOptions = BaseOptions & ({
    /**
     * The name of the schema file.  Defaults to 'contentful-schema.json'.
     */
    filename: string;
} | {
    contentTypes: ContentType[];
});
export default class SchemaBuilder {
    private readonly options;
    constructor(options?: Partial<SchemaBuilderOptions>);
    build(): GraphQLSchema;
}
export {};
