import type { Resolvers } from "@apollo/client";
import { ContentType } from "../util";
import { ContentfulDataSource } from "../dataSource";
export default class ContentTypeResolverBuilder {
    private readonly dataSource;
    private readonly contentType;
    constructor(dataSource: ContentfulDataSource, contentType: ContentType);
    build(): Resolvers;
    private fieldResolver;
    private linkResolver;
    private collectionResolver;
}
