import type { Resolvers } from '@apollo/client';
import { ContentfulDataSource } from '../dataSource';
interface IBaseOptions {
    logger: {
        debug: Console['debug'];
    };
}
declare type IOptions = IBaseOptions & ({
    filename: string;
} | {
    contentTypes: any[];
});
export default class ResolverBuilder {
    private readonly dataSource;
    private readonly options;
    constructor(dataSource: ContentfulDataSource, options?: Partial<IOptions>);
    build(): Resolvers;
}
export {};
