import type { Resolver } from '@apollo/client';
import { GraphQLInterfaceType, GraphQLObjectType, GraphQLScalarType } from 'graphql';
export declare const GraphQLNever: GraphQLScalarType;
export declare const GraphQLLocation: GraphQLObjectType<any, any>;
export declare const Sys: GraphQLObjectType<any, any>;
export declare const ContentfulTag: GraphQLObjectType<any, any>;
export declare const ContentfulMetadata: GraphQLObjectType<any, any>;
export declare const Entry: GraphQLInterfaceType;
export declare const EntryCollection: GraphQLObjectType<any, any>;
export declare const Asset: GraphQLObjectType<any, any>;
export declare function assetFieldResolver(): {
    [field: string]: Resolver;
};
export declare const AssetCollection: GraphQLObjectType<any, any>;
